darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Repository.InternalTypes

Synopsis

- data Repository p recordedstate unrecordedstate tentativestate = Repo !String ![DarcsFlag] !RepoFormat !(RepoType p)
- data RepoType p = DarcsRepository !Pristine Cache
- data Pristine
  - = NoPristine
  - | PlainPristine
  - | HashedPristine
- extractCache :: Repository p r u t -> Cache
- extractOptions :: Repository p r u t -> [DarcsFlag]
- modifyCache :: forall p r u t. RepoPatch p => Repository p r u t -> (Cache -> Cache) -> Repository p r u t

# Documentation

data Repository p recordedstate unrecordedstate tentativestate

Constructors

Repo !String ![DarcsFlag] !RepoFormat !(RepoType p) |

Instances

Show (Repository p recordedstate unrecordedstate tentativestate) |

data RepoType p

Constructors

DarcsRepository !Pristine Cache |

Instances

Show (RepoType p) |

data Pristine

Constructors

NoPristine |
PlainPristine |
HashedPristine |

Instances

Eq Pristine |
Show Pristine |

extractCache :: Repository p r u t -> Cache

extractOptions :: Repository p r u t -> [DarcsFlag]

modifyCache :: forall p r u t. RepoPatch p => Repository p r u t -> (Cache -> Cache) -> Repository p r u t

`modifyCache` `repository function` modifies the cache of `repository` with `function`, remove duplicates and sort the results with `compareByLocality`.